一人もくもく会 α verでサービス開始しました。
請求書作成システム α verでサービス開始しました。

Linux Mint18でapache2.4とphp7

Linux Mint18でapache2.4とphp7を使うとエラーが起きた。

phpMyAdminを使おうと設置して閲覧すると、phpのソースがそのまま表示された。 phpのモジュールがロードされてないっぽいので調べてみると、 /etc/apache2のmods-availableにはphp7関連ファイルがあるのだがmods-enabledの方にはない。 有効にするにはシンボリックリンクを貼ると良いようなのでphp7.0.loadとphp7.0.confをリンクする。

すると、apacheを再起動時にエラーが発生するようになってしまった。 configtestをしてみると、下記のメッセージが表示されていた。

Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe

調べてみると、どうもapt-getでインストールしたphpは今回のapacheの設定に合っていないらしい。 なのでMPMをeventからpreforkに変更するため、 mods-enabledからmpm_event.conf, mpm_event.loadを削除し、 代わりにmpm_prefork.conf, mpm_prefork.loadのシンボリックリンクを貼る。

これで再起動で動作した。